package com.tmax.openframe.variable;

import ch.obermuhlner.math.big.BigDecimalMath;
import com.tmax.openframe.variable.group.*;
import java.math.*;
import java.text.DecimalFormat;
import java.util.*;
import java.util.function.BiFunction;
import lombok.*;
import org.apache.commons.lang3.StringUtils;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
public class OFCB001_VariableContainer {
    public @Getter @Setter int READ_COUNT = 0;
    public @Getter @Setter int WRITE_COUNT = 0;
    public @Getter @Setter int PASS_COUNT = 0;
    public @Getter String EOF_SW = StringUtils.repeat(' ', 1);
    public @Getter @Setter int W_TODAY_DATE = 0;
    public @Getter @Setter OFCB001_IN_REC IN_REC = new OFCB001_IN_REC();
    public @Getter @Setter OFCB001_OUT_REC OUT_REC = new OFCB001_OUT_REC();
    private final static BiFunction<Long, String, String> intFormatWithoutSign = (
            value, format) -> {
        DecimalFormat nf = new DecimalFormat();
        nf.setNegativePrefix("");
        nf.applyPattern(format);
        return nf.format(value);
    };

    public String getStringREAD_COUNT() {
        return intFormatWithoutSign.apply((long) READ_COUNT, "00000000");
    }

    public String getStringWRITE_COUNT() {
        return intFormatWithoutSign.apply((long) WRITE_COUNT, "00000000");
    }

    public String getStringPASS_COUNT() {
        return intFormatWithoutSign.apply((long) PASS_COUNT, "00000000");
    }

    public void setEOF_SW(String source) {
        EOF_SW = StringUtils.truncate(StringUtils.rightPad(source, 1), 1);
    }

    public String getStringW_TODAY_DATE() {
        return intFormatWithoutSign.apply((long) W_TODAY_DATE, "00000000");
    }
}
